Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.poi.ss.usermodel
Enum PrintCellComments

    java.lang.Object
      java.lang.Enum<PrintCellComments>
          org.apache.poi.ss.usermodel.PrintCellComments

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PrintCellComments>

    public enum PrintCellComments

extends java.lang.Enum<PrintCellComments>

These enumerations specify how cell comments shall be displayed for paper printing purposes.

Author:
  Gisella Bronzetti

Enum Constant Summary
`AS_DISPLAYED` Print cell comments as displayed.
`AT_END` Print cell comments at end of document.
`NONE` Do not print cell comments.

Method Summary
`int` | `getValue()`
`static PrintCellComments` | `valueOf(int value)`
`static PrintCellComments` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PrintCellComments[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final PrintCellComments NONE

  Do not print cell comments.

### AS_DISPLAYED

    public static final PrintCellComments AS_DISPLAYED

  Print cell comments as displayed.

### AT_END

    public static final PrintCellComments AT_END

  Print cell comments at end of document.

Method Detail

### values

    public static PrintCellComments[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PrintCellComments c : PrintCellComments.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PrintCellComments valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

### valueOf

    public static PrintCellComments valueOf(int value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.